MPDIVI(3)

SYNOPSIS
SUBROUTINE MPDIVI (X, IY, Z)

NAME
mpdivi - Subsidiary to DQDOTA and DQDOTI

LIBRARY
SLATEC

TYPE
ALL (MPDIVI-A)

AUTHOR
(UNKNOWN)

DESCRIPTION
Divides 'mp' X by the single-precision integer IY giving 'mp' Z. This is much faster than division by an 'mp' number. The arguments X(*) and Z(*), and the variable R in COMMON are all INTEGER arrays of size 30. See the comments in the routine MPBLAS for the reason for this choice.

SEE ALSO
DQDOTA, DQDOTI, MPBLAS

ROUTINES CALLED
MPCHK, MPERR, MPNZR, MPSTR, MPUNFL

COMMON BLOCKS
MPCOM

REVISION HISTORY (YYMMDD)
791001 DATE WRITTEN ?????? Modified for use with BLAS. Blank COMMON changed to named COMMON. R given dimension 12.
890531 Changed all specific intrinsics to generic. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900402 Added TYPE section. (WRB)
930124 Increased Array size in MPCON for SUN -r8. (RWC)